expires: "2022-12-17T23:57:40-05:00"
steps:
  clone:
    name: clone
    attestations:
      - type: https://witness.dev/attestations/material/v0.1
      - type: https://witness.dev/attestations/product/v0.1
      - type: https://witness.dev/attestations/command-run/v0.1
      - type: https://witness.dev/attestations/gitlab/v0.1
      - type: https://witness.dev/attestations/gcp-iit/v0.1
      - type: https://witness.dev/attestations/git/v0.1
    functionaries:
      - type: root
        certConstraint:
          commonname: "*"
          dnsnames:
            - "*"
          emails:
            - "*"
          organizations:
            - "*"
          uris:
            - "{{SPIFFEID}}"
          roots:
            - "{{ROOT_ID}}"
  build:
    name: build
    attestations:
      - type: https://witness.dev/attestations/material/v0.1
      - type: https://witness.dev/attestations/product/v0.1
      - type: https://witness.dev/attestations/command-run/v0.1
      - type: https://witness.dev/attestations/gitlab/v0.1
      - type: https://witness.dev/attestations/gcp-iit/v0.1
      - type: https://witness.dev/attestations/git/v0.1
    functionaries:
      - type: root
        certConstraint:
          commonname: "*"
          dnsnames:
            - "*"
          emails:
            - "*"
          organizations:
            - "*"
          uris:
            - "{{SPIFFEID}}"
          roots:
            - "{{ROOT_ID}}"
  package-tar:
    name: package-tar
    attestations:
      - type: https://witness.dev/attestations/material/v0.1
      - type: https://witness.dev/attestations/product/v0.1
      - type: https://witness.dev/attestations/command-run/v0.1
      - type: https://witness.dev/attestations/gitlab/v0.1
      - type: https://witness.dev/attestations/gcp-iit/v0.1
      - type: https://witness.dev/attestations/git/v0.1
    functionaries:
      - type: root
        certConstraint:
          commonname: "*"
          dnsnames:
            - "*"
          emails:
            - "*"
          organizations:
            - "*"
          uris:
            - "{{SPIFFEID}}"
          roots:
            - "{{ROOT_ID}}"
# sast:
#   name: sast
#   artifactsFrom:
#     - clone
#   attestations:
#     - type: https://witness.dev/attestations/material/v0.1
#     - type: https://witness.dev/attestations/product/v0.1
#     - type: https://witness.dev/attestations/command-run/v0.1
#     - type: https://witness.dev/attestations/gitlab/v0.1
#     - type: https://witness.dev/attestations/gcp-iit/v0.1
#     - type: https://witness.dev/attestations/git/v0.1
#     - type: https://witness.dev/attestations/sarif/v0.1
#   functionaries:
#     - type: root
#       certConstraint:
#         commonname: "*"
#         dnsnames:
#           - "*"
#         emails:
#           - "*"
#         organizations:
#           - "*"
#         uris:
#           - "{{SPIFFEID}}"
#         roots:
#           - "{{ROOT_ID}}"
roots:
  "{{ROOT_ID}}":
    certificate: |
      "{{ROOT_CERT}}"


#   package-container:
#     name: package-container
#     artifactsFrom:
#       - build
#     attestations:
#       - type: https://witness.dev/attestations/command-run/v0.1
#       - type: https://witness.dev/attestations/product/v0.1
#       - type: https://witness.dev/attestations/gitlab/v0.1
#       - type: https://witness.dev/attestations/gcp-iit/v0.1
#       - type: https://witness.dev/attestations/git/v0.1
#       - type: https://witness.dev/attestations/oci/v0.1
#     functionaries:
#       - type: root
#         certConstraint:
#           commonname: "*"
#           dnsnames:
#             - "*"
#           emails:
#             - "*"
#           organizations:
#             - "*"
#           uris:
#             - "{{SPIFFEID}}"
#           roots:
#             - "{{ROOT_ID}}"